 void RSGeneratorPoly(
GaloisField2 *GF,
int t,            /* Number of correctable bits. 1 < t < 2**m/2 */
GFSYMBOL *g       /* Length 2*t+1. Returns coefficients in n-tuple **
		  ** (polynomial) form.                  */
)
;
 void RS_encode( 
  GaloisField2 *GF,  /* Input: defines the Galois field. */
  int t,             /* Number of correctable symbols. */
  GFSYMBOL *g,       /* The generator polynomial. */
  GFSYMBOL *indata,  /* Input data symbols. Length GF->size-1-2*t. */
  GFSYMBOL *encdata  /* Output check symbols. Length 2*t. */
)
;
/* Returns the number of error symbols found. If this number     **
** exceeds t, no attempt is made to correct them, and the return **
** value is t+1.                                                 */
int RS_decode(  /* Returns the number of error symbols. */
  GaloisField2 *GF,    /* Must match RS_encode. */
  int t,               /* Must match RS_encode. */
  GFSYMBOL *rcvdata,   /* Input. Length GF->size-1. */
  GFSYMBOL *outdata    /* Output. Can be the same array as rcvdata. */
)
;
