#! /usr/bin/gawk -f  
# $Id: gethead.awk,v 0.1 2004/09/20 20:35:35 jrothwei Exp $

# Copyright (C) 2004  Sensicomm LLC
# Joseph Rothweiler http://www.sensicomm.com
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Awk script to extract a %.h file from a %.c file, assuming the
# code contains comments to delimit the sections to be extracted.

BEGIN {
  out=0;
}
(substr($0,1,8) == "/*Hend*/") {out=0}
(substr($0,1,9) == "/*Hend;*/") { print ";" ; out=0}
(out) {print}
(substr($0,1,10) == "/*Hstart*/") {
  if(length($0) > 10) print substr($0,11,length($0)-10) ;
  out=1;
}
